Install a pinned catalog MCP server on one Agent
curl --request POST \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/agents/{agentId}/mcp/servers/import \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"artifact": {
"artifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactName": "<string>"
},
"version": "<string>",
"remoteEndpoint": "<string>",
"serverName": "<string>",
"enabled": true,
"publicHeaders": {},
"endpointConfiguration": {},
"expectedRevision": 2,
"targetConstraints": {
"targetTypes": [],
"targetIds": [
"<string>"
]
}
}
'const options = {
method: 'POST',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
artifact: {
artifactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sourceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
artifactName: '<string>'
},
version: '<string>',
remoteEndpoint: '<string>',
serverName: '<string>',
enabled: true,
publicHeaders: {},
endpointConfiguration: {},
expectedRevision: 2,
targetConstraints: {targetTypes: [], targetIds: ['<string>']}
})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/agents/{agentId}/mcp/servers/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"server": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"type": "mcp",
"enabled": true,
"isSystem": true,
"canDelete": true,
"canEditConnection": true,
"canToggle": true,
"revision": 123,
"targetConstraints": {},
"publicHeaders": {},
"tools": [
{
"name": "<string>",
"serverId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alias": "<string>",
"enabled": true,
"autoAllowed": true,
"description": "<string>"
}
],
"authHeaderName": "<string>",
"authHeaderPrefix": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provenance": {},
"endpointConfiguration": {},
"integrationProfileId": "<string>",
"integrationProfileVersion": 2,
"lastDiscoveryAt": "2023-11-07T05:31:56Z",
"lastDiscoveryError": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Agent capabilities and target tools
Install a pinned catalog MCP server on one Agent
Requires both manage_agents and manage_mcp. Repeating an identical import is idempotent; upgrades require explicit reimport.
Install a pinned catalog MCP server on one Agent
curl --request POST \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/agents/{agentId}/mcp/servers/import \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"artifact": {
"artifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactName": "<string>"
},
"version": "<string>",
"remoteEndpoint": "<string>",
"serverName": "<string>",
"enabled": true,
"publicHeaders": {},
"endpointConfiguration": {},
"expectedRevision": 2,
"targetConstraints": {
"targetTypes": [],
"targetIds": [
"<string>"
]
}
}
'const options = {
method: 'POST',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
artifact: {
artifactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sourceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
artifactName: '<string>'
},
version: '<string>',
remoteEndpoint: '<string>',
serverName: '<string>',
enabled: true,
publicHeaders: {},
endpointConfiguration: {},
expectedRevision: 2,
targetConstraints: {targetTypes: [], targetIds: ['<string>']}
})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/agents/{agentId}/mcp/servers/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"server": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"type": "mcp",
"enabled": true,
"isSystem": true,
"canDelete": true,
"canEditConnection": true,
"canToggle": true,
"revision": 123,
"targetConstraints": {},
"publicHeaders": {},
"tools": [
{
"name": "<string>",
"serverId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alias": "<string>",
"enabled": true,
"autoAllowed": true,
"description": "<string>"
}
],
"authHeaderName": "<string>",
"authHeaderPrefix": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provenance": {},
"endpointConfiguration": {},
"integrationProfileId": "<string>",
"integrationProfileVersion": 2,
"lastDiscoveryAt": "2023-11-07T05:31:56Z",
"lastDiscoveryError": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Body
application/json
Show child attributes
Show child attributes
Selected Streamable HTTP endpoint URL or registry URL template.
Available options:
none, workspace, individual Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required only for explicit reimport.
Required range:
x >= 1Show child attributes
Show child attributes
Response
Agent MCP installation created.
Show child attributes
Show child attributes
⌘I